%define anolis_release 1
%global pypi_name facexlib
%global pypi_version 0.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Basic face library

License:        Apache License 2.0
URL:            https://github.com/xinntao/facexlib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(numpy)

Requires:       python3dist(filterpy)
Requires:       python3dist(numba)
Requires:       python3dist(numpy)
Requires:       python3dist(opencv)
Requires:       python3dist(pillow)
Requires:       python3dist(scipy)
Requires:       python3dist(torch)
Requires:       python3dist(torchvision)
Requires:       python3dist(tqdm)

%description
facexlib aims at providing ready-to-use face-related functions based on current
SOTA open-source methods.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
facexlib aims at providing ready-to-use face-related functions based on current
SOTA open-source methods.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Rename dependency
sed -i "s/opencv-python/opencv/g" requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Apr 18 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.3.0-1
- Initial package.
